Skip to content

List all expenses

Retrieves all the expenses that match with provided filters

View as Markdown

POST /v1/list-expenses

Needs an API key with the read scope.

Body parameters

  • startDate string

    Starting date to be applied to date filter. Should be formatted in YYYY-MM-DD format

  • endDate string

    End date to be applied to date filter. Should be formatted in YYYY-MM-DD format

  • supplierId string

    32-character unique ID to filter a specific business entity. If you don't know the ID, you can also provide supplierCode instead of this field. If both of them are provided, supplierId will be used only.

  • supplierCode string

    User-generated custom unique code to filter a specific business entity. If supplierId is also provided, it will override this filter.

  • tagName string

    Name of the tag to be included in the filtering. Case sensitive. It should exactly match with the name in the Nuvio Platform.

  • projectName string

    Name of the project to be included in the filtering. Case sensitive. It should exactly match with the name in the Nuvio Platform.

  • projectCode string

    User generated code of the project to be included in the filtering. Case sensitive. It should exactly match with the code in the Nuvio Platform.

  • paymentStatus string

    Select one of the enum values to filter specific incomes that matches with required payment status.

Returns

The expenses of the access token's company that match.

401
No usable Authorization: Bearer {token} header (1002).
403
The access token is unknown, or lacks the scope this route needs (1001).